Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002322 [Piwigo] tags feature N/A 2011.06.02 17:41 2011.11.05 17:34
Reporter Chouby View Status public  
Assigned To mistic100
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.3.0beta2 Product Version 2.2.1
  Target Version Product Build
Summary 0002322: Add two new trigger events for tag name display and tag url
Description The goal is to offer multilanguage capability for tags with the plugin Extended description as described in http://piwigo.org/forum/viewtopic.php?pid=122482 [^]

Steps To Reproduce
Additional Information Ideas to implement the feature :

Trigger event for tag name display.

In tags.php (line 179), include/menubar.inc.php (line 127), picture.php (line 144), add :
$tag['name'] = trigger_event('render_tag_name', $tag['name']);
in include/function_html.incs.php, line 444, replace
.$page['tags'][$i]['name']
by
.trigger_event('render_tag_name', $page['tags'][$i]['name'])

Trigger event for tag url

in admin/tags.php, line 87, replace
'url_name' => str2url($tag_name),
by
'url_name' => str2url(trigger_event('tag_url', $tag_name)),

Since I am not familiar with the Piwigo source, I may have forgot some steps
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0005209)
svn (reporter)
2011.06.11 16:35

[Subversion] r11317 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
feature:2322 Add two new trigger events for tag name display and tag url
(0005210)
mistic100 (developer)
2011.06.11 16:38

TODO: in TokenInput, display all localisations as independant tag
ie: tag "[lang=fr]Mammifères[/lang]Mammals" becomes tags "Mammifères" and "Mammals" in tokenInput
(0005262)
svn (reporter)
2011.06.22 18:39

[Subversion] r11487 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
feature:2322 display all localisations as independant tags in TokenInput
(0005456)
svn (reporter)
2011.09.01 16:16

[Subversion] r12030 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
feature:2322 fix a typo in function get_taglist
(0005761)
svn (reporter)
2011.11.05 17:16

[Subversion] r12553 by patdenice on trunk

-----[Subversion commit log]----------------------------------------------------
feature:2322
feature:2493
Add a trigger for multi language tags in quick search and url
(0005764)
svn (reporter)
2011.11.05 17:34

[Subversion] r12555 by patdenice on branch 2.3

-----[Subversion commit log]----------------------------------------------------
merge r12553 from trunk to branch 2.3
feature:2322
feature:2493
Add a trigger for multi language tags in quick search and url

- Issue History
Date Modified Username Field Change
2011.06.02 17:41 Chouby New Issue
2011.06.02 17:41 Chouby browser => any
2011.06.02 17:41 Chouby Web server => Apache 1.3.x
2011.06.06 14:07 plg Status new => assigned
2011.06.06 14:07 plg Assigned To => plg
2011.06.11 16:35 mistic100 Assigned To plg => mistic100
2011.06.11 16:35 svn Checkin
2011.06.11 16:35 svn Note Added: 0005209
2011.06.11 16:38 mistic100 Note Added: 0005210
2011.06.22 18:39 svn Checkin
2011.06.22 18:39 svn Note Added: 0005262
2011.06.26 23:34 mistic100 Status assigned => closed
2011.06.26 23:34 mistic100 Resolution open => fixed
2011.06.26 23:34 mistic100 Fixed in Version => 2.3.0beta2
2011.09.01 16:16 svn Checkin
2011.09.01 16:16 svn Note Added: 0005456
2011.11.05 17:16 svn Checkin
2011.11.05 17:16 svn Note Added: 0005761
2011.11.05 17:34 svn Checkin
2011.11.05 17:34 svn Note Added: 0005764


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker